Page MenuHomePhabricator

Replace upstart with systemd unit in thumbor::service
Closed, ResolvedPublic

Description

service { "thumbor-${port}":
        ensure    => running,
        enable    => true,
        provider  => 'upstart',
        require   => [
            Virtualenv::Environment[$deploy_dir],
            User['thumbor'],
            File['/etc/firejail/thumbor.profile'],
        ],
        subscribe => [
            File["${deploy_dir}/tinyrgb.icc", "/etc/init/thumbor-${port}.conf", '/etc/firejail/thumbor.profile'],
            $cfg_files,
            Cgroup::Config['thumbor'],
        ],
    }

Event Timeline

bd808 created this task.Dec 29 2016, 5:19 AM
bd808 added a subscriber: Gilles.Dec 29 2016, 5:36 AM

Patches should be submitted to the jessie-migration gerrit branch.

Gilles claimed this task.Jan 2 2017, 8:54 AM
Gilles added a project: Performance-Team.

Change 333909 had a related patch set uploaded (by Gilles):
Fix mechanism to disable default nginx configuration

https://gerrit.wikimedia.org/r/333909

Change 333909 abandoned by Gilles:
Fix mechanism to disable default nginx configuration

Reason:
I'm instead pursuing the VM not having port 80 open by Apache for no reason, which is really what's getting in the way here.

https://gerrit.wikimedia.org/r/333909

Change 334002 had a related patch set uploaded (by Gilles):
Migrate Thumbor role from upstart to systemd

https://gerrit.wikimedia.org/r/334002

Change 334002 merged by jenkins-bot:
Migrate Thumbor role from upstart to systemd

https://gerrit.wikimedia.org/r/334002

Gilles closed this task as Resolved.Jan 30 2017, 7:29 AM